// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_UK2Node_EnumEquality.h"
#include "K2Node_EnumEquality.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_UK2Node_EnumEquality::SCW_UK2Node_EnumEquality(UK2Node_EnumEquality* InK2Node_EnumEquality) : SCW_UK2Node(InK2Node_EnumEquality), K2Node_EnumEquality(InK2Node_EnumEquality)
{

}

ISCW_UEdGraphPinPtr SCW_UK2Node_EnumEquality::GetInput1Pin() const
{
	return FSourcifyCoreUEWrapper::Get().Wrap(*K2Node_EnumEquality->GetInput1Pin());
}

ISCW_UEdGraphPinPtr SCW_UK2Node_EnumEquality::GetInput2Pin() const
{
	return FSourcifyCoreUEWrapper::Get().Wrap(*K2Node_EnumEquality->GetInput2Pin());
}

ISCW_UEdGraphPinPtr SCW_UK2Node_EnumEquality::GetReturnValuePin() const
{
	return FSourcifyCoreUEWrapper::Get().Wrap(*K2Node_EnumEquality->GetReturnValuePin());
}

UK2Node_EnumEquality* SCW_UK2Node_EnumEquality::ToUK2Node_EnumEquality() const
{
	return K2Node_EnumEquality;
}

ISCW_UK2Node_EnumEqualityPtr SCW_UK2Node_EnumEquality::ToUK2Node_EnumEqualityPtr()
{
	return GetSharedThisAs<SCW_UK2Node_EnumEquality>();
}

ISCW_UK2Node_EnumEqualityConstPtr SCW_UK2Node_EnumEquality::ToUK2Node_EnumEqualityPtr() const
{
	return GetSharedThisAs<SCW_UK2Node_EnumEquality>();
}